/****************************************************************************/
/*                                                                          */
/*  REXX script to solve the problem that the OS/2 Warp V4 desktop archi-   */
/*  ving facility does not backup the settings of the WarpCenter.           */
/*                                                                          */
/*  This script searches for the OS2.KEY file and includes the files        */
/*  dock0.cfg through dock15.cfg and scenter.cfg.                           */
/*                                                                          */
/*  (c) 1996 Uwe Schlenther, Bebelstrasse 30, D-70193 Stuttgart, Germany    */
/*  Member of TEAM OS/2 Germany, Certified OS/2 Engineer                    */
/*                                                                          */
/*  Please direct any comments to U.Schlenther@TeamOS2.DE                   */
/*                                                                          */
/****************************************************************************/

CALL rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
CALL sysloadfuncs

PARSE ARG OS2DRIVE ARCHIVEDRIVE

if (OS2DRIVE="") | (ARCHIVEDRIVE="") then
do
  SAY "Usage: WC_SAVE OS2Drive ArchiveDrive"
  SAY " "
  SAY "Where OS2Drive is the drive where OS/2 is installed and ArchiveDrive is"
  SAY "the drive where the desktop archives are stored."
  SAY " "
  SAY "Example: WC_SAVE C: C:"
  exit
end

if POS('\',OS2DRIVE)=0 then OS2DRIVE=OS2DRIVE'\'
if POS('\',ARCHIVEDRIVE)=0 then ARCHIVEDRIVE=ARCHIVEDRIVE'\'

call SysFileTree ArchiveDrive"os2.key",KeyFile,"FSO","*****","***-*"

if KeyFile.0=0 then
do
  SAY "The archive directory could not be found. Please try again."
  exit
end

call SysFileTree OS2Drive"dock*.cfg",WCFile,"FSO"

call SysFileTree OS2Drive"scenter.cfg",WCFile2,"FSO"

if (WCFile.0=0) | (WCFile2.0=0) then
do
  SAY "The WarpCenter configuration files could not be found. Please try again."
  exit
end

DO i=1 TO WCFile.0
  PARSE UPPER VAR WCFile.i WCFile.i
END
PARSE UPPER VAR WCFile2.1 WCFile2.1

DO WHILE LINES(KeyFile.1)>0
  Line=LINEIN(KeyFile.1)
  PARSE UPPER VAR Line Line
  DO i=1 TO WCfile.0
    if POS(WCFile.i,Line)>0 then WCFile.i=""
  END
  if POS(WCFile2.1,Line)>0 then WCFile2.1=""
END

DO i=1 to WCFile.0
  if WCFile.i<>"" then
  do
    call LINEOUT KeyFile.1,"KEYFILE:"WCFile.i
    SAY WCFile.i "included in future desktop backups"
  end
END

if WCFile2.1<>"" then
do
  call LINEOUT KeyFile.1,"KEYFILE:"WCFile2.1
  SAY WCFile2.1 "included in future desktop backups"
end

Say KeyFile.1

SAY " "
SAY "Done!"

